iostream File Reference

Go to the source code of this file.

## Namespaces

| std

## Macros

#define | _GLIBCXX_IOSTREAM

## Variables

static ios_base::Init | std::__ioinit
Standard Stream Objects
The <iostream> header declares the eight standard stream objects. For other declarations, see http://gcc.gnu.org/onlinedocs/libstdc++/manual/io.html and the I/O forward declarations They are required by default to cooperate with the global C library's `FILE` streams, and to be available during program startup and termination. For more information, see the section of the manual linked to above.
istream | std::cin
ostream | std::cout
ostream | std::cerr
ostream | std::clog
wistream | std::wcin
wostream | std::wcout
wostream | std::wcerr
wostream | std::wclog

## Detailed Description

This is a Standard C++ Library header.

Definition in file iostream.